Page MenuHomePhabricator

l10n_tests should run only once for every committed patch
Open, MediumPublic

Description

l10n_test check the validity of templates on reals wiki and verifys wether the template really exists. It is not necessary to run these test for every instance of the test matrix. Running it once for each commited patch would be enough. Or to reduce the test time further it would be sufficient to run one test when i18n submodule is updated.

Details

Related Gerrit Patches:

Event Timeline

Xqt created this task.Apr 6 2018, 1:39 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptApr 6 2018, 1:39 PM
Dalba added a comment.EditedSep 25 2018, 8:50 AM
This comment has been deleted.

Change 462912 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [tests] Run L10N tests only once for each patch

https://gerrit.wikimedia.org/r/462912

Xqt raised the priority of this task from Low to Medium.Sep 26 2018, 12:35 PM
Xqt added a comment.Sep 26 2018, 12:58 PM

I've no glue whether that configuration matrix in .travis.yml inside i18n repository ever runs.

Dalba added a comment.Oct 9 2018, 8:42 AM

I just found b9670d9afd006969322481bf321d27e4a815d362 and I'm wondering why it's not working.

Dvorapa added a comment.EditedOct 9 2018, 6:36 PM

The whole handling with disabled_test_modules is a bit weird:

Line 151
disabled_test_modules = [
    'tests',  # tests of the tests package
    'l10n',
]

OK, these will be disabled

Line 155
if not i18n.messages_available():
    disabled_test_modules.append('l10n')

Isn't it already in the list?

Line 187
if 'PYWIKIBOT_TEST_MODULES' in os.environ:
    disabled_test_modules = set(test_modules) - set(_enabled_test_modules)

Now we overwrite it even before we use it?

Xqt added a comment.Oct 9 2018, 8:31 PM

The test could be done in i18n repository but it seems no tests are done there but the bot verify with +2 together with CR+2

Framawiki closed this task as Resolved.Nov 17 2018, 10:30 AM
Framawiki assigned this task to Xqt.

Change 462912 merged by jenkins-bot:
[pywikibot/core@master] [tests] Run L10N tests on Travis only once for each patch

https://gerrit.wikimedia.org/r/462912

Xqt reopened this task as Open.Nov 18 2018, 5:12 PM

As I can see no tests where made

Change 474543 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] Re-enable l10n_tests

https://gerrit.wikimedia.org/r/474543

D3r1ck01 moved this task from Backlog to Needs Review on the Pywikibot board.Dec 22 2018, 6:18 PM